Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class EventModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel
    - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.EventModel

All Implemented Interfaces:
  `Serializable`

    public class EventModel
    extends CoordinatorConnectionModel

See Also:
  Serialized Form

### Field Summary

Fields
`List<EventStageModel>` `stages`
`Long` `workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`coordinatorId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`EventModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCoordinatorName​(String name)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`getCoordinatorHostId, setCoordinatorHostId`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### workerId

    public Long workerId

#### stages

    public List<EventStageModel> stages

### Constructor Detail

#### EventModel

    public EventModel()

### Method Detail

#### setCoordinatorName

    public void setCoordinatorName​(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`